Bug 6619 - [UPDATE REQUEST] kphotoalbum 4.6.2 -> 4.7
: [UPDATE REQUEST] kphotoalbum 4.6.2 -> 4.7
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-21 14:09 MSK by Andrey Bondrov
Modified: 2016-02-16 16:26 MSK (History)
3 users (show)

See Also:
RPM Package: kphotoalbum
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
ss2 (103.69 KB, image/png)
2016-02-11 12:48 MSK, Vladimir Potapov
Details
ss3 (70.77 KB, image/png)
2016-02-11 12:56 MSK, Vladimir Potapov
Details
ss4 (71.15 KB, image/png)
2016-02-11 12:57 MSK, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2016-01-21 14:09:14 MSK
New version of kphotoalbum was released.
Comment 1 Andrey Bondrov 2016-01-21 14:10:01 MSK
Advisory: "Update kphotoalbum to new version 4.7. Build it with kface and kgeomap support."

https://abf.rosalinux.ru/build_lists/2619941
https://abf.rosalinux.ru/build_lists/2619942
Comment 2 Vladimir Potapov 2016-01-22 17:44:33 MSK
Следующий пакет будет удалён для обновления остальных:
kipi-plugins-googleservices-4.14.0-1-rosa2014.1.x86_64
 (из-за конфликтов с kipi-plugins-googledrive[< 2:4.12.0]) (y/N) n
Comment 3 Vladimir Potapov 2016-01-22 17:45:00 MSK
*** Bug 6550 has been marked as a duplicate of this bug. ***
Comment 4 Andrey Bondrov 2016-01-22 20:04:48 MSK
(In reply to comment #2)
> Следующий пакет будет удалён для обновления остальных:
> kipi-plugins-googleservices-4.14.0-1-rosa2014.1.x86_64
>  (из-за конфликтов с kipi-plugins-googledrive[< 2:4.12.0]) (y/N) n

Advisory: "Update kphotoalbum to new version 4.7. Build it with kface and kgeomap support. Suggest kipi-plugins-googleservices instead of obsolete kipi-plugins-googledrive."

https://abf.rosalinux.ru/build_lists/2620099
https://abf.rosalinux.ru/build_lists/2620100
Comment 5 Vladimir Potapov 2016-01-28 19:52:04 MSK
urpmi kphotoalbum
Не удаётся установить запрошенный пакет:
kipi-plugins-googleservices-4.14.0-1-rosa2014.1.i586 (из-за конфликтов с kipi-plugins-picasa-4.3.0-1-rosa2014.1.i586)

при том, что у меня kipi-плагины не установлены.
Comment 6 Andrey Bondrov 2016-01-28 20:19:54 MSK
Advisory: "Update kphotoalbum to new version 4.7. Build it with kface and kgeomap support. Suggest kipi-plugins package instead of individual kipi-plugins-* packages."

https://abf.rosalinux.ru/build_lists/2621237
https://abf.rosalinux.ru/build_lists/2621238
Comment 7 Vladimir Potapov 2016-02-03 20:35:11 MSK
С локализацией бооольшие проблемы. :-( Быстро не доберусь перевести.
Comment 8 VictorR2007 2016-02-04 21:02:34 MSK
(In reply to comment #7)
> С локализацией бооольшие проблемы. :-( Быстро не доберусь перевести.

Updated Russian translation
https://abf.rosalinux.ru/build_lists/2622293
https://abf.rosalinux.ru/build_lists/2622294

В некоторых местах есть непереведённые слова.
Но они просто недоступны и не вытягиваются с помощью Messages.sh.
Можно всё сделать вручную, но слишком кропотливая работа.
Comment 9 VictorR2007 2016-02-05 01:42:48 MSK
(In reply to comment #8)
> 
> В некоторых местах есть непереведённые слова.
> Но они просто недоступны и не вытягиваются с помощью Messages.sh.
> Можно всё сделать вручную, но слишком кропотливая работа.

Разобрался в чём проблема.
Эти строки должны браться из файла libkgeomap.mo
У нас этот файл есть, но он в пакете kde5-l10n-ru, и находится в
/usr/share/locale/kf5/ru/LC_MESSAGES
А kphotoalbum читает строки из /usr/share/locale/ru/LC_MESSAGES
Скопировал туда libkgeomap.mo, и перевод стал отображаться.
Comment 10 Vladimir Potapov 2016-02-11 12:48:44 MSK
Created attachment 4383 [details]
ss2

Неудачный перевод начального экрана в нескольких местах.

Предлагаю сократить непонятно-корявое:
"для архива, меток и управления фотографиями и видео"
до
"для управления фотографиями и видеофайлами"

Далее, не
"только индексировать их и позволять легко находить и управлять фотографиями и видеофайлами"
а
"только индексировать их для быстрого поиска и управления фотографиями и видеофайлами"

Далее не
"Создать собственнЫй базу данных" а "Создать собственную базу данных"

Не (два вложенных если это уже программирование)
"если хотите начать использовать её снова" а "и вы хотите её использовать"

Ну и нужна запятая после "если вы чувствуете,", перед "что".
Comment 11 Vladimir Potapov 2016-02-11 12:56:09 MSK
Created attachment 4384 [details]
ss3

Точно не "Управление лицом". Видимо, "Управление распознаванием лиц" (если влезет такое)

Не "Обученные лица" а, наверное, "Распознанные лица"
Comment 12 Vladimir Potapov 2016-02-11 12:57:49 MSK
Created attachment 4385 [details]
ss4

Keywords, Places, Tokens, People - не переводятся?
Comment 13 VictorR2007 2016-02-11 17:07:21 MSK
(In reply to comment #12)
> Created attachment 4385 [details]
> ss4
> 
> Keywords, Places, Tokens, People - не переводятся?

Эти слова в режиме демонстрации отображаются без перевода.
После создания базы данных они будут отображаться на русском.
Только оставил без перевода слово Keywords.
У него ярлык с замком.
Поэтому «Ключевые слова» не подходят.
Нашёл к нему варианты перевода как «Пароли», «Ключи»,
но что применять в данном случае, мне непонятно.
В нормальном режиме у меня этот ярлык не отображается.
Только в режиме демонстрации.
Если есть рекомендации, то напишите.
Остальное исправил.
Comment 14 VictorR2007 2016-02-11 19:35:07 MSK
Updated Russian translation

https://abf.rosalinux.ru/build_lists/2623799
https://abf.rosalinux.ru/build_lists/2623800
Comment 15 VictorR2007 2016-02-11 20:26:02 MSK
Сегодня посижу вечерок, и пройдусь с проверкой по строкам.
А то делал в основном новые строки,
а старые проверял только поверхностно.
Comment 16 VictorR2007 2016-02-12 02:42:43 MSK
Updated Russian translation

Немного исправил.
В основном это советы дня.
Буду ждать ваши замечания.

https://abf.rosalinux.ru/build_lists/2623835
https://abf.rosalinux.ru/build_lists/2623836
Comment 17 Vladimir Potapov 2016-02-12 15:20:28 MSK
The update is sent to expanded testing
**************************************
Comment 18 Vladimir Potapov 2016-02-16 14:21:03 MSK
kphotoalbum-4.7-5
https://abf.rosalinux.ru/build_lists/2623835
https://abf.rosalinux.ru/build_lists/2623836
************************** Advisory *************************
Update kphotoalbum to new version 4.7. Build it with kface and kgeomap support. Suggest kipi-plugins package instead of individual kipi-plugins-* packages.
*************************************************************
QA Verified